Description

In the emacs initialization lines we define cocoa5-emacs-dir.

Why do we not define cocoa5-root-dir instead?  Then we can specify all paths without using .. (dot-dot).

History

#1 - 18 Dec 2020 17:24 - John Abbott

It seems more natural to me to specify the path to the "root" directory; then all accesses to files are "downward".

Is there a good reason to specify instead the path to the emacs subdirectory?

BTW in the commented out lines for Microsoft, the path to the packages is also defined... is that necessary?

#2 - 22 Dec 2020 15:32 - John Abbott

- Status changed from New to In Progress

- % Done changed from 0 to 10

Anna points out that there are complications on Microsoft where one cannot be entirely sure where the release is unpacked into.

For example, it may unpack into C:/bla/blabla/cocoa-5.3/cocoa-5.3/CoCoA-files  (rather than having a single cocoa-5.3 in the path).

When giving instruction about which path to copy, it is easier to refer to the emacs subdir than allow ambiguity when refering to cocoa-5.3.

#3 - 22 Dec 2020 15:36 - John Abbott

The question arose after an email from Alasdair McAndrew (around 2020-12-18).  Anna will investigate.

#4 - 02 Mar 2021 07:56 - John Abbott

What is the status of this issue?

The file cocoa5.emacs defines cocoa-root-dir in terms of cocoa5-emacs-dir near the start, then uses cocoa5-root-dir thereafter (and never refers to

cocoa-emacs-dir again).

Can we progress to feedback?

Has email been sent to the original person who raised the matter?

#5 - 04 Mar 2021 17:10 - John Abbott

- Status changed from In Progress to Feedback

- Assignee set to John Abbott

- % Done changed from 10 to 90
- Estimated time set to 1.23 h

#6 - 04 Mar 2021 17:10 - John Abbott

- Status changed from Feedback to Closed

- % Done changed from 90 to 100
